[data-component="button"], .button {
  display: inline-flex;
  position: relative;
  justify-content: center;
  align-items: center;
  gap: .4em;
  padding: var(--button--vertical-padding) var(--button--horizontal-padding);
  border: 1px solid var(--_site-theme---button--border);
  border-radius: var(--button--border-radius);
  background-color: var(--_site-theme---button--background);
  color: var(--_site-theme---button--text);
  font-family: var(--button--font);
  font-size: var(--button--font-size);
  font-weight: var(--button--font-weight);
  line-height: var(--button--line-height);
  letter-spacing: var(--button--letter-spacing);
  text-align: center;
  text-decoration: none;
  pointer-events: auto;
  transition: background-color .3s cubic-bezier(.165, .84, .44, 1),
              border-color .3s cubic-bezier(.165, .84, .44, 1);

  &:focus-visible, &[data-wf-focus-visible], &:focus-within {
    outline: 2px solid var(--_site-theme---focus-outline);
    outline-offset: 2px;
  }

  &:focus-within *:focus-visible {
    outline-color: transparent;
  }

  &[data-variant="secondary"] {
    color: var(--_site-theme---button--secondary--text);
    background-color: var(--_site-theme---button--secondary--background);
    border-color: var(--_site-theme---button--secondary--border);
  }

  &[data-variant="link"] {
  background-color: transparent;
  border-color: transparent;
  padding-inline: 0px;
  padding-block: 0px;
  color: inherit;
  gap: 0.2em;
}

  &[data-mod-full="true"], .button.cc-full {
    width: 100%;
  }

  [data-button="text"], .btn-text {
    pointer-events: none;
  }

  [data-button="icon"], .btn-icon {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    max-width: 1.2em;
    line-height: 1;
  }
}
